Skip to main content
GET
/
api
/
v1
/
client_father
/
all
Obtener todos los clientes (padres e hijos) con suscripciones
curl --request GET \
  --url https://api.raul.ugps.io/api/v1/client_father/all \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "gpsCount": 123,
      "clientType": "parent",
      "isNormalClient": true,
      "idFather": "<string>",
      "fatherName": {},
      "clientId": "<string>",
      "clientName": {},
      "fantasyName": {},
      "rut": {},
      "email": {},
      "phone": {},
      "factura": {},
      "ordenCompra": {},
      "requiresHes": {},
      "typeOfContract": {},
      "idNavixy": {},
      "idWialon": {},
      "classification": {},
      "integration": {},
      "rubroId": {},
      "rubroName": {},
      "sellerId": {},
      "sellerName": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

has_subscription
boolean

Filtrar solo clientes con suscripciones activas

Response

200 - application/json

Lista combinada de clientes obtenida exitosamente

data
object[]
required

Lista combinada de clientes padres e hijos